Retrieve User profile
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.gnosispay.com/api/v1/user', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://api.gnosispay.com/api/v1/user \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.gnosispay.com/api/v1/user"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.gnosispay.com/api/v1/user"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.gnosispay.com/api/v1/user")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.gnosispay.com/api/v1/user")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "<string>",
"email": "<string>",
"phone": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"address1": "<string>",
"address2": "<string>",
"city": "<string>",
"postalCode": "<string>",
"state": "<string>",
"country": "<string>",
"nationalityCountry": "<string>",
"signInWallets": [
{
"id": "clp3j1f9a0000a1cdh6ezx2qv",
"address": "0x1234567890abcdef1234567890abcdef12345678",
"userId": "user_123",
"createdAt": "2025-01-27T00:00:00Z"
}
],
"safeWallets": [
{
"address": "<string>",
"createdAt": "2025-01-27T00:00:00Z",
"chainId": "<string>",
"tokenSymbol": "EURe"
}
],
"kycStatus": "notStarted",
"availableFeatures": {
"moneriumIban": true
},
"cards": [
{
"id": "<string>",
"lastFourDigits": "<string>",
"cardToken": "<string>",
"activatedAt": "2023-11-07T05:31:56Z",
"virtual": true
}
],
"bankingDetails": {
"id": "<string>",
"address": "<string>",
"moneriumIban": "<string>",
"moneriumBic": "<string>",
"moneriumIbanStatus": "<string>",
"userId": "<string>",
"createdAt": "2025-01-27T00:00:00Z",
"updatedAt": "2025-01-27T00:00:00Z"
},
"isSourceOfFundsAnswered": true,
"isPhoneValidated": true,
"partnerId": "<string>",
"status": "ACTIVE"
}{
"message": "<string>"
}{
"message": "Error: User not found"
}{
"error": "Internal server error"
}User
Retrieve User profile
Get the User profile information.
GET
/
api
/
v1
/
user
Retrieve User profile
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.gnosispay.com/api/v1/user', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://api.gnosispay.com/api/v1/user \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.gnosispay.com/api/v1/user"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.gnosispay.com/api/v1/user"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.gnosispay.com/api/v1/user")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.gnosispay.com/api/v1/user")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "<string>",
"email": "<string>",
"phone": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"address1": "<string>",
"address2": "<string>",
"city": "<string>",
"postalCode": "<string>",
"state": "<string>",
"country": "<string>",
"nationalityCountry": "<string>",
"signInWallets": [
{
"id": "clp3j1f9a0000a1cdh6ezx2qv",
"address": "0x1234567890abcdef1234567890abcdef12345678",
"userId": "user_123",
"createdAt": "2025-01-27T00:00:00Z"
}
],
"safeWallets": [
{
"address": "<string>",
"createdAt": "2025-01-27T00:00:00Z",
"chainId": "<string>",
"tokenSymbol": "EURe"
}
],
"kycStatus": "notStarted",
"availableFeatures": {
"moneriumIban": true
},
"cards": [
{
"id": "<string>",
"lastFourDigits": "<string>",
"cardToken": "<string>",
"activatedAt": "2023-11-07T05:31:56Z",
"virtual": true
}
],
"bankingDetails": {
"id": "<string>",
"address": "<string>",
"moneriumIban": "<string>",
"moneriumBic": "<string>",
"moneriumIbanStatus": "<string>",
"userId": "<string>",
"createdAt": "2025-01-27T00:00:00Z",
"updatedAt": "2025-01-27T00:00:00Z"
},
"isSourceOfFundsAnswered": true,
"isPhoneValidated": true,
"partnerId": "<string>",
"status": "ACTIVE"
}{
"message": "<string>"
}{
"message": "Error: User not found"
}{
"error": "Internal server error"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Response
Successfully retrieved User profile
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Available options:
notStarted, documentsRequested, pending, processing, approved, resubmissionRequested, rejected, requiresAction Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Available options:
ACTIVE, DEACTIVATED